From mboxrd@z Thu Jan  1 00:00:00 1970
From: Klemens Nanni <klemens@posteo.de>
To: list+catgirl@causal.agency
Cc: Klemens Nanni <klemens@posteo.de>
Subject: [PATCH] Use color enum instead of hardcoded value
Date: Sun, 23 May 2021 17:26:18 +0000
Message-Id: <20210523172620.54723-1-klemens@posteo.de>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit

---
 handle.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/handle.c b/handle.c
index d6eeaab..09b28d5 100644
--- a/handle.c
+++ b/handle.c
@@ -676,12 +676,12 @@ static void handleTopic(struct Message *msg) {
 	catf(&cat, "%ls", new);
 	swap(&new[pre], &nul);
 	swap(osuf, &nul);
-	catf(&cat, "\399,%02d%ls", Brown, &old[pre]);
+	catf(&cat, "\3%02d,%02d%ls", Default, Brown, &old[pre]);
 	swap(osuf, &nul);
 	swap(nsuf, &nul);
-	catf(&cat, "\399,%02d%ls", Green, &new[pre]);
+	catf(&cat, "\3%02d,%02d%ls", Default, Green, &new[pre]);
 	swap(nsuf, &nul);
-	catf(&cat, "\399,99%ls", nsuf);
+	catf(&cat, "\3%02d,%02d%ls", Default, Default, nsuf);
 
 plain:
 	topicComplete(id, msg->params[1]);
-- 
2.31.1


